package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.VuforiaImageGroup;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.VuforiaImageGroupMapper")
public interface VuforiaImageGroupMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(VuforiaImageGroup record);

    VuforiaImageGroup selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(VuforiaImageGroup record);

    List<VuforiaImageGroup> queryAllVuforiaImageGroup(VuforiaImageGroup record);

    List<VuforiaImageGroup> queryVuforiaImageGroupByPage(Map<String, Object> parameter);

    int delete(VuforiaImageGroup record);

    VuforiaImageGroup queryVuforiaImageGroup(VuforiaImageGroup record);

    List<VuforiaImageGroup> query(VuforiaImageGroup record);
}

